package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.UniResMapper;
import com.sa.ibiz.demo.demo.domain.UniRes;
import com.sa.ibiz.demo.demo.service.UniResService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.UniResSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[UniRes] 服务对象接口实现
 */
@Service
public class UniResServiceImpl extends ServiceImplBase<UniResMapper, UniRes> implements UniResService{


    @Resource
    private UniResMapper uniresMapper;


    @Override
    public boolean create(UniRes et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(UniRes et){
        this.beforeUpdate(et);
		this.uniresMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(UniRes et){
		return et.getUniresid();  
    }

    @Override
    public boolean getDraft(UniRes et)  {
            return true;
    }

	public List<UniRes> listDefault(UniResSearchFilter filter) {
		return uniresMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<UniRes> searchDefault(UniResSearchFilter filter) {
		return uniresMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return uniresMapper.selectRow(sql);
    }

 }